//
// index.js
//
// initial RTE bootstrapping code
//
"use strict";


window.broadcaster = {}; // required by the runtime



$(document).ready(function() {


    // load rte.js if available, rte.html otherwise
    //
    $.getScript("assets/rte.min.js",
        function(response, status, xhr) { initializeEnvironment(); })
        .fail(function(response, status, xhr) {
            // unable to load js -- try html
            $("#rte").load("assets/source/rte.html", function (response, status, xhr) {
                if (status == "success") {
                    initializeEnvironment();
                } else {
                    $("#storyboardTitle").text(status);
                }
            });
        });


    function initializeEnvironment() {

        // add some commonly used functions from the BCF to the window
        // to save typing
        //
        window.formatString = bcf.formatString;
        window.trace = bcf.trace;
        window.isNullOrEmpty = bcf.isNullOrEmpty;

        // get the settings from the querystring or set default values
        //
        var settings = {};
        settings.lessonXmlFilename = bcf.getQuerystringParameter("lessonXML", "lesson.xml");
        settings.mediaPath = bcf.getQuerystringParameter("mediaPath", "./media/");
        settings.passPercentage = 80; // 80%

        // initialize and load the shell
        //
        window.shell = new Shell();
        shell.loadLesson(settings);
    }

});


